
# ONSAS.m: an Open Nonlinear Structural Analysis Solver for GNU-Octave/Matlab

![octave tests](https://github.com/ONSAS/ONSAS.m/workflows/octave_tests/badge.svg)
![matlab tests](https://github.com/ONSAS/ONSAS.m/workflows/matlab_tests/badge.svg)
[![codecov](https://codecov.io/gh/ONSAS/ONSAS.m/branch/master/graph/badge.svg)](https://codecov.io/gh/ONSAS/ONSAS.m) 


[![Documentation](https://img.shields.io/badge/docs-latest-blue.svg)](https://onsas.github.io/ONSAS.m/dev/)
[![License](https://img.shields.io/badge/License-GPLv3-green.svg)](https://github.com/ONSAS/ONSAS.m/blob/master/COPYING)
[![Release](https://img.shields.io/github/v/release/ONSAS/ONSAS?color=yellow&include_prereleases)](https://github.com/ONSAS/ONSAS.m/releases)
[![DOI](https://zenodo.org/badge/170120732.svg)](https://zenodo.org/badge/latestdoi/170120732)


## About ONSAS <a name="aboutonsas"></a>

ONSAS is a [GNU-Octave](https://www.gnu.org/software/octave/)/Matlab code for static/dynamic and linear/non-linear analysis of structures. The first version was developed for educational purposes and was published in a [handbook](https://www.colibri.udelar.edu.uy/jspui/bitstream/20.500.12008/22106/1/Bazzano_P%c3%a9rezZerpa_Introducci%c3%b3n_al_An%c3%a1lisis_No_Lineal_de_Estructuras_2017.pdf) of the course _Análisis no lineal de Estructuras_ taught at [Facultad de Ingeniería](https://www.fing.edu.uy/), Universidad de la República since 2017.

## Some examples

### A deployable ring
![ring](https://github.com/ONSAS/ONSAS.m/blob/master/docs/src/assets/deployableRing.gif?raw=true)

### A propeller model
![propeller](https://github.com/ONSAS/ONSAS.m/blob/master/docs/src/assets/propeller.gif?raw=true)

### A truss tower model
![tower](https://github.com/ONSAS/ONSAS_docs/blob/master/gifs/tower.gif?raw=true)


## Connect <a name="connect"></a>

### Open discussions chat

If you have a question of want to discuss any topic you can write in the ONSAS.m [github's dicussions](https://github.com/ONSAS/ONSAS.m/discussions) tab.

### Direct contact
You can also send an e-mail to _jorgepz [AT] fing.edu.uy_ .

### Zoom meetings

Weekly zoom meetings are also open for anyone to join via [![this zoom room](https://img.shields.io/badge/zoom-meetings-red)](https://salavirtual-udelar.zoom.us/j/89574786968?pwd=S3c3c3hMVlR1N3E3Z2tSbVlCWW1QUT09)


## License

The code is distributed under a GNU-GPL 3.0 license.

## How to use ONSAS <a name="howtouseonsas"></a>

The user should follow these steps to install and run onsas:

1. Download and install [GNU-Octave](https://www.gnu.org/software/octave/) and [Paraview](https://www.paraview.org/)
1. Download the ONSAS zip source files from the realeases web https://github.com/ONSAS/ONSAS/releases
1. Open GNU-Octave, move to the _examples_ directory and run one of the examples.

An introduction to using and contributing to ONSAS was presented in 2022. The recording is available at [this youtube video](https://www.youtube.com/watch?v=tkJAD4UDvfI).

## Contributions <a name="contributions"></a>

The complete list of authors of code, contributions, affiliations and acknowledgments is available [in the documentation](https://onsas.github.io/ONSAS.m/dev/#Authors).
